Skip to main content

This browser is no longer supported.

Upgrade to Microsoft Edge to take advantage of the latest features, security updates, and technical support.

Download Microsoft Edge More info about Internet Explorer and Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Telephony

Create an agent telephony binding

POST /agents/{agent_name}/telephony/bindings

Creates a telephony binding for the voice agent named in the path. Creating a SIP binding requires the VoiceAgents=V1Preview opt-in.

Header parameters

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

VoiceAgents=V1Preview
Repeatability-Request-ID string

An opaque, globally-unique, client-generated string identifier for the request.

Repeatability-First-Sent string

Specifies the date and time at which the request was first created.

Path parameters

agent_name string required

The name of the voice agent that owns the binding.

Query parameters

api-version string required

The API version to use for this operation.

Request Body

The provider-specific binding to create.

Content-Type: application/json
One of the following:
teams_phone_extensibility TeamsPhoneExtensibilityTelephonyBinding

A Microsoft Teams Phone extensibility binding owned by a voice agent.

provider enum required

The Microsoft Teams Phone extensibility provider.

teams_phone_extensibility
phone_number string

The optional display phone number for the Teams resource account.

resource_account_object_id string required

Universally Unique Identifier

twilio TwilioTelephonyBinding

A Twilio binding owned by a voice agent.

provider enum required

The Twilio provider.

twilio
phone_number string required

The Twilio E.164 phone number.

sip SipTelephonyBinding

Inbound binding using a same-project SipInbound connection for authentication/network restrictions. Creation does not prove regional runtime readiness.

provider enum required

The SIP provider.

sip
phone_number string

Optional display metadata, not a routing key or E.164-constrained destination.

allowed_calling_numbers SipAllowedCallingNumber[]

Exact E.164 caller numbers or restricted anchored patterns, validated by the service. Omit or use [] for no restriction.

Responses

The request has succeeded and a new resource has been created as a result.

Headers

ETag string required

The entity tag to send in the If-Match header when updating or deleting the binding.

Body

Content-Type: application/json
One of the following:
teams_phone_extensibility TeamsPhoneExtensibilityTelephonyBinding

A Microsoft Teams Phone extensibility binding owned by a voice agent.

provider enum required

The Microsoft Teams Phone extensibility provider.

teams_phone_extensibility
phone_number string

The optional display phone number for the Teams resource account.

resource_account_object_id string required

Universally Unique Identifier

twilio TwilioTelephonyBinding

A Twilio binding owned by a voice agent.

provider enum required

The Twilio provider.

twilio
phone_number string required

The Twilio E.164 phone number.

sip SipTelephonyBinding

Inbound binding using a same-project SipInbound connection for authentication/network restrictions. Creation does not prove regional runtime readiness.

provider enum required

The SIP provider.

sip
phone_number string

Optional display metadata, not a routing key or E.164-constrained destination.

allowed_calling_numbers SipAllowedCallingNumber[]

Exact E.164 caller numbers or restricted anchored patterns, validated by the service. Omit or use [] for no restriction.

Client error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Server error

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Request

POST /agents/{agent_name}/telephony/bindings HTTP/1.1

Response

Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
en-us
Your Privacy Choices
  • AI Disclaimer
  • Previous Versions
  • Blog
  • Contribute
  • Privacy
  • Consumer Health Privacy
  • Terms of Use
  • Trademarks
  • © Microsoft 2026